/// <reference types="node" />
import { Client as AdbClient } from '@devicefarmer/adbkit';
import * as FridaJs from 'frida-js';
import { HtkConfig } from '../../config';
import { FridaHost } from './frida-integration';
export declare function getAndroidFridaHosts(adbClient: AdbClient): Promise<Record<string, FridaHost>>;
export declare function setupAndroidHost(config: HtkConfig, adbClient: AdbClient, hostId: string): Promise<void>;
export declare function launchAndroidHost(adbClient: AdbClient, hostId: string): Promise<import("stream").Duplex>;
export declare function getAndroidFridaTargets(adbClient: AdbClient, hostId: string): Promise<Array<{
    pid: number | null;
    id: string;
    name: string;
}>>;
export declare function interceptAndroidFridaTarget(adbClient: AdbClient, hostId: string, appId: string, caCertContent: string, proxyPort: number, enableSocks: boolean): Promise<FridaJs.FridaAgentSession>;
